

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.15.33. vector_size &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.15.34. vector_slice" href="vector_slice.html" />
    <link rel="prev" title="7.15.32. vector_new" href="vector_new.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/functions/vector_size.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="vector_slice.html" title="7.15.34. vector_slice"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="vector_new.html" title="7.15.32. vector_new"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" accesskey="U"><span class="section-number">7.15. </span>関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.33. </span><code class="docutils literal notranslate"><span class="pre">vector_size</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="vector-size">
<h1><span class="section-number">7.15.33. </span><code class="docutils literal notranslate"><span class="pre">vector_size</span></code><a class="headerlink" href="#vector-size" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.15.33.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.0.3 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">vector_size</span></code> はベクターカラムのサイズを返します。</p>
<p>この関数を有効にするには、以下のコマンドで <code class="docutils literal notranslate"><span class="pre">functions/vector</span></code> プラグインを登録します。:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register functions/vector
</pre></div>
</div>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.15.33.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">vector_size</span></code> は引数を一つだけとります。 それは <code class="docutils literal notranslate"><span class="pre">target</span></code> です。</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>vector_size(target)
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.15.33.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>使い方を示すために使うスキーマ定義とサンプルデータは以下の通りです。</p>
<p>サンプルスキーマ:</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Memos TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Memos tags COLUMN_VECTOR ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>サンプルデータ:</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load --table Memos
[
{&quot;_key&quot;: &quot;Groonga&quot;,          &quot;tags&quot;: [&quot;Groonga&quot;]},
{&quot;_key&quot;: &quot;Rroonga&quot;,          &quot;tags&quot;: [&quot;Groonga&quot;, &quot;Ruby&quot;]},
{&quot;_key&quot;: &quot;Nothing&quot;}
]
# [[0, 1337566253.89858, 0.000355720520019531], 3]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">vector_size</span></code> 関数が <code class="docutils literal notranslate"><span class="pre">tag</span></code> カラムの値とそのサイズを返す例です。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>select Memos --output_columns &#39;tags, vector_size(tags)&#39;
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         3
#       ],
#       [
#         [
#           &quot;tags&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;vector_size&quot;,
#           null
#         ]
#       ],
#       [
#         [
#           &quot;Groonga&quot;
#         ],
#         1
#       ],
#       [
#         [
#           &quot;Groonga&quot;,
#           &quot;Ruby&quot;
#         ],
#         2
#       ],
#       [
#         [],
#         0
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.15.33.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>必須の引数は1つです。</p>
<div class="section" id="target">
<h3><span class="section-number">7.15.33.4.1. </span><code class="docutils literal notranslate"><span class="pre">target</span></code><a class="headerlink" href="#target" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p><code class="docutils literal notranslate"><span class="pre">select</span></code> 対象の <code class="docutils literal notranslate"><span class="pre">table</span></code> に指定されたテーブルのベクターカラムを指定します。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.15.33.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">vector_size</span></code> は対象のベクターカラムのサイズを返します。</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.15.33. <code class="docutils literal notranslate"><span class="pre">vector_size</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.15.33.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.15.33.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.15.33.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.15.33.4. 引数</a><ul>
<li><a class="reference internal" href="#target">7.15.33.4.1. <code class="docutils literal notranslate"><span class="pre">target</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.15.33.5. 戻り値</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="vector_new.html"
                        title="前の章へ"><span class="section-number">7.15.32. </span><code class="docutils literal notranslate"><span class="pre">vector_new</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="vector_slice.html"
                        title="次の章へ"><span class="section-number">7.15.34. </span><code class="docutils literal notranslate"><span class="pre">vector_slice</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="vector_slice.html" title="7.15.34. vector_slice"
             >次へ</a> |</li>
        <li class="right" >
          <a href="vector_new.html" title="7.15.32. vector_new"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" ><span class="section-number">7.15. </span>関数</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.33. </span><code class="docutils literal notranslate"><span class="pre">vector_size</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>